/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\EVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ORIDATALOG')
CREATE TABLE T_EVP_ORIDATALOG
(
    fid           BIGINT         DEFAULT 0   NOT NULL,
    FUSERNAME     NVARCHAR(50)   DEFAULT ' ' NOT NULL,
    FOPNAME       VARCHAR(50)    DEFAULT ' ' NOT NULL,
    FOPDESC       VARCHAR(200)   DEFAULT ' ' NOT NULL,
    FOPDATE       DATETIME,
    FENDTIME      DATETIME,
    FRECORDCNT    INT            DEFAULT 0   NOT NULL,
    fsuccesscnt   INT            DEFAULT 0   NOT NULL,
    FSTATUS       CHAR(1)        DEFAULT '1' NOT NULL,
    FENTITYNAME   NVARCHAR(100)  DEFAULT ' ' NOT NULL,
    FENTITYNUMBER VARCHAR(100)   DEFAULT ' ' NOT NULL,
    FERRMSG       NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FBATCHCODE    VARCHAR(50)    DEFAULT ' ' NOT NULL
);

-- 数据抽取日志
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_PULLDATALOG')
CREATE TABLE T_EVP_PULLDATALOG
(
    FID           BIGINT        DEFAULT 0   NOT NULL,
    FUSERNAME     NVARCHAR(50)  DEFAULT ' ' NOT NULL,
    FOPNAME       VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FOPDESC       VARCHAR(200)  DEFAULT ' ' NOT NULL,
    FOPDATE       DATETIME,
    FORGNUMBER    VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FORGNAME      VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FPERIODNUMBER VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FPERIODNAME   VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FBOOKTYPE     VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FSTARTTIME    DATETIME,
    FENDTIME      DATETIME,
    FPSTARTDATE    DATETIME,
    FPENDDATE      DATETIME,
    FBATCHCODE    VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FEXECSTATUS   CHAR(1)       DEFAULT ' ' NOT NULL,
    FERRORMSG     VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FPULLDATACNT  INT           DEFAULT 0   NOT NULL
);

-- 数据抽取日志明细
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_PULLDATALOGDETAIL')
CREATE TABLE T_EVP_PULLDATALOGDETAIL
(
    FID           BIGINT        DEFAULT 0   NOT NULL,
    FUSERNAME     NVARCHAR(50)  DEFAULT ' ' NOT NULL,
    FOPNAME       VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FOPDESC       VARCHAR(200)  DEFAULT ' ' NOT NULL,
    FOPDATE       DATETIME,
    FLOGID        BIGINT        DEFAULT 0   NOT NULL,
    FBATCHCODE    VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FBILLTYPE     VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FBILLTYPENAME VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FSTARTTIME    DATETIME,
    FENDTIME      DATETIME,
    FEXECSTATUS   CHAR(1)       DEFAULT ' ' NOT NULL,
    FERRORMSG     VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FPULLDATACNT  INT           DEFAULT 0   NOT NULL,
    FTASKSEQ      INT           DEFAULT 0   NOT NULL
);

--归档日志
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ARCHIVELOG') 
 CREATE TABLE T_EVP_ARCHIVELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPDATE DATETIME,
FORGNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FALLCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ARCHIVEDETAIL') 
 CREATE TABLE T_EVP_ARCHIVEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPDATE DATETIME,
FORGNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FALLCOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCNT INT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FERRMSG NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**Begin D:\苍穹环境配置\PDM_UPGRADE\PDM1\EVP_table.sql **/
EXEC P_ALTERPK 'PK_T_EVP_ORIDATALOG', 'T_EVP_ORIDATALOG', 'FID', '1';
/**End D:\苍穹环境配置\PDM_UPGRADE\PDM1\EVP_table.sql **/

EXEC P_ALTERPK 'PK_T_EVP_PULLDATALOG', 'T_EVP_PULLDATALOG', 'FID', '1';

EXEC P_ALTERPK 'PK_T_EVP_PULLDATALOGDETAIL', 'T_EVP_PULLDATALOGDETAIL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVP_PULLDATALOGDETAIL_LOGID')

CREATE INDEX IDX_EVP_PULLDATALOGDETAIL_LOGID ON T_EVP_PULLDATALOGDETAIL (FLOGID);

/**Begin D:\苍穹环境配置\PDM_UPGRADE\PDM1\EVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_PULLDATALOG' AND KSQL_COL_NAME IN ('FPSTARTDATE'))

ALTER TABLE T_EVP_PULLDATALOG ADD (FPSTARTDATE DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_PULLDATALOG' AND KSQL_COL_NAME IN ('FPENDDATE'))
ALTER TABLE T_EVP_PULLDATALOG ADD (FPENDDATE DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_PULLDATALOGDETAIL' AND KSQL_COL_NAME IN ('FBATCHCODE'))
ALTER TABLE T_EVP_PULLDATALOGDETAIL ADD (FBATCHCODE VARCHAR(100)  DEFAULT ' ' NOT NULL);



/**Begin D:\苍穹环境配置\PDM_UPGRADE\PDM1\EVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_PULLDATALOG' AND KSQL_COL_NAME IN ('FPSTARTDATE'))
ALTER TABLE T_EVP_PULLDATALOG ADD (FPSTARTDATE DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_PULLDATALOG' AND KSQL_COL_NAME IN ('FPENDDATE'))

ALTER TABLE T_EVP_PULLDATALOG ADD (FPENDDATE DATETIME);

EXEC P_ALTERPK 'PK_T_EVP_ARCHIVELOG', 'T_EVP_ARCHIVELOG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVP_ARCHIVELOG') CREATE INDEX IDX_EVP_ARCHIVELOG ON T_EVP_ARCHIVELOG ( FORGNUMBER );


EXEC P_ALTERPK 'PK_T_EVP_ARCHIVEDETAIL', 'T_EVP_ARCHIVEDETAIL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVP_ARCHIVEDETAIL') CREATE INDEX IDX_EVP_ARCHIVEDETAIL ON T_EVP_ARCHIVEDETAIL ( FORGNUMBER );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EVP_ARCHIVELOG' AND KSQL_COL_NAME IN ('FORGNAME')) 
ALTER TABLE T_EVP_ARCHIVELOG ADD (FORGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
